Board index FlightGear Development Scenery

Lyon Saint Exupery Scenery Project

Questions and discussion about enhancing and populating the FlightGear world.

Re: Lyon Saint Exupery Scenery Project

Postby rominet » Sat May 21, 2016 5:36 pm

Selecting parking positions does work in FFGo (not FGo!) if you enable the corresponding workaround. cf. this message for instance.

The fact that --parkpos is broken has been reported several times on the -devel list. I have also posted a little analysis here.
rominet
 
Posts: 550
Joined: Sat Nov 01, 2014 1:33 pm
Callsign: F-KATS
Version: Git next
OS: Debian GNU/Linux

Re: Lyon Saint Exupery Scenery Project

Postby wkitty42 » Sat May 21, 2016 6:10 pm

daweed wrote in Sat May 21, 2016 5:11 pm:I can understand the related problem with the navdata cache, but that doesn't explain why they are not avail / visible on QT laucher.

as i understand it, they are not available in the launcher because they are not in the navdata cache... i may be incorrect on that but it is my current understanding of the problem as it exists on the launcher side... FGFS apparently can and does read the various ground net files, though, so they work when you use the in-sim location menu...
"You get more air close to the ground," said Angalo. "I read that in a book. You get lots of air low down, and not much when you go up."
"Why not?" said Gurder.
"Dunno. It's frightened of heights, I guess."
User avatar
wkitty42
 
Posts: 4755
Joined: Fri Feb 20, 2015 3:46 pm
Location: central NC, USA
Callsign: wk42
Version: git next
OS: Kubuntu 14.04.5

Re: Lyon Saint Exupery Scenery Project

Postby wkitty42 » Sat May 21, 2016 6:12 pm

daweed wrote in Sat May 21, 2016 5:11 pm:Inside the sim, if i use the trick by the "menu position" , select aiport & parking in the dialog , but i have to know the parking name (parking are not showned in the select bar for parking in the position dialog)

on this aspect, make sure you search and select your desired airport... even if it is being shown on the right, still search and select it... then the parking list will be populated... that's what i've seen with airports that i toyed with during testing...
"You get more air close to the ground," said Angalo. "I read that in a book. You get lots of air low down, and not much when you go up."
"Why not?" said Gurder.
"Dunno. It's frightened of heights, I guess."
User avatar
wkitty42
 
Posts: 4755
Joined: Fri Feb 20, 2015 3:46 pm
Location: central NC, USA
Callsign: wk42
Version: git next
OS: Kubuntu 14.04.5

Re: Lyon Saint Exupery Scenery Project

Postby bugman » Sat May 21, 2016 6:31 pm

wkitty42 wrote in Sat May 21, 2016 6:10 pm:as i understand it, they are not available in the launcher because they are not in the navdata cache...


Correct :) These were added to the navdata cache later in the launch sequence. If you ran FG twice though, the park positions would be present the second time (as long as the navdata cache is not rebuilt). However we have now discussed and moved on from this (both James and I had the same idea independently, as my previous links mention). Now the parking positions are no longer in the navdata cache. This returns a lot of stability to FlightGear, eliminating a tonne of difficult to track segfaults (due to the loading and dumping of 'dynamic airports' from memory). The parking positions are now in special 'data structures' stored in memory. Most launchers will not be aware of this yet, but they should be calling interfacing functions, an API, if you like, where it doesn't matter. So there is a bug elsewhere. If daweed can come up with an easy to reproduce example, then I might be able to dig into the guts of the code, use some printouts, and quickly work out what is happening (are the parking positions present at that point or do they come later in the init sequence, are they simply incorrectly read, are the correct functions being called, etc.).

Regards,
Edward
bugman
Moderator
 
Posts: 1527
Joined: Thu Mar 19, 2015 9:01 am
Version: next

Re: Lyon Saint Exupery Scenery Project

Postby daweed » Mon May 23, 2016 7:14 pm

rominet wrote in Sat May 21, 2016 5:36 pm:Selecting parking positions does work in FFGo (not FGo!) if you enable the corresponding workaround. cf. this message for instance.

The fact that --parkpos is broken has been reported several times on the -devel list. I have also posted a little analysis here.


Sorry, FFGo (what is FFGo) seems to not be accessible from download & compilte script ... i only found FGO & FGRun inside.

if it's the launcher include in FGFS (fgfs --launcher) ... it's buggy :

Section "Settings"
Link in the bottom for additional parameters doesn't work :

this link lead to http://mapserver.flightgear.org/getstar ... 5-450004.5 which does not respond

i need to implement some other parameter (such like in / out protocol file to work with my interface ...) and i don't see my aircraft store in an another tree (i don't want to have my aircraft directory in the FG Tree)

Sorry, after adding directory ... u need to restart launcher .. too bad

Other thing i just saw, each time i have to deselect TerraSync download ... could the feature be recorded for next time start

btw, i just made some test, and the launcher inside FG see my parking file but send me to rw ....
Linux Mint 18.3
AMD FX 4300 Quad-Core Black Edition|20 Go RAMGeForce GTX 750 Ti
FG Interface
Lyon Saint Exupery Scenery
daweed
 
Posts: 264
Joined: Thu Dec 11, 2014 10:45 am
Location: LFKP LFLL
Callsign: daweed
OS: Windows 10 Familly

Re: Lyon Saint Exupery Scenery Project

Postby wkitty42 » Mon May 23, 2016 7:31 pm

the settings you choose in the internal Qt launcher are saved when you click the [RUN] button to enter the simulator... they are not saved if you click the [QUIT] button ;)
"You get more air close to the ground," said Angalo. "I read that in a book. You get lots of air low down, and not much when you go up."
"Why not?" said Gurder.
"Dunno. It's frightened of heights, I guess."
User avatar
wkitty42
 
Posts: 4755
Joined: Fri Feb 20, 2015 3:46 pm
Location: central NC, USA
Callsign: wk42
Version: git next
OS: Kubuntu 14.04.5

Re: Lyon Saint Exupery Scenery Project

Postby daweed » Mon May 23, 2016 7:38 pm

thks wkitty42
Linux Mint 18.3
AMD FX 4300 Quad-Core Black Edition|20 Go RAMGeForce GTX 750 Ti
FG Interface
Lyon Saint Exupery Scenery
daweed
 
Posts: 264
Joined: Thu Dec 11, 2014 10:45 am
Location: LFKP LFLL
Callsign: daweed
OS: Windows 10 Familly

Re: Lyon Saint Exupery Scenery Project

Postby daweed » Mon May 23, 2016 7:39 pm

i made research, finishing to found FFGo ... but not working :

farmeradmin@FARMERSALOON /data01/Flightgear/FFGo $ pip install CondConfigParser
Downloading/unpacking CondConfigParser
Downloading CondConfigParser-1.0.3.tar.bz2 (46kB): 46kB downloaded
Running setup.py (path:/tmp/pip_build_farmeradmin/CondConfigParser/setup.py) egg_info for package CondConfigParser
Traceback (most recent call last):
File "<string>", line 17, in <module>
File "/tmp/pip_build_farmeradmin/CondConfigParser/setup.py", line 55
print(traceback.format_exc(), file=sys.stderr)
^
SyntaxError: invalid syntax
Complete output from command python setup.py egg_info:
Traceback (most recent call last):

File "<string>", line 17, in <module>

File "/tmp/pip_build_farmeradmin/CondConfigParser/setup.py", line 55

print(traceback.format_exc(), file=sys.stderr)

^

SyntaxError: invalid syntax

----------------------------------------
Cleaning up...
Command python setup.py egg_info failed with error code 1 in /tmp/pip_build_farmeradmin/CondConfigParser
Storing debug log for failure in /home/farmeradmin/.pip/pip.log
farmeradmin@FARMERSALOON /data01/Flightgear/FFGo $
Linux Mint 18.3
AMD FX 4300 Quad-Core Black Edition|20 Go RAMGeForce GTX 750 Ti
FG Interface
Lyon Saint Exupery Scenery
daweed
 
Posts: 264
Joined: Thu Dec 11, 2014 10:45 am
Location: LFKP LFLL
Callsign: daweed
OS: Windows 10 Familly

Re: Lyon Saint Exupery Scenery Project

Postby rominet » Mon May 23, 2016 7:47 pm

daweed wrote in Mon May 23, 2016 7:14 pm:Sorry, FFGo (what is FFGo) seems to not be accessible from download & compilte script ... i only found FGO & FGRun inside.

There are links in my signature, there is a thread on the forum, and Google gives useful info too, just try it...
daweed wrote in Mon May 23, 2016 7:14 pm:if it's the launcher include in FGFS (fgfs --launcher) ... it's buggy :

No, it is a completely different launcher, it is written in Python 3.
rominet
 
Posts: 550
Joined: Sat Nov 01, 2014 1:33 pm
Callsign: F-KATS
Version: Git next
OS: Debian GNU/Linux

Re: Lyon Saint Exupery Scenery Project

Postby rominet » Mon May 23, 2016 7:50 pm

You did not read the installation docs: you are using Python 2, not supported. See my sig, start with the wiki.
rominet
 
Posts: 550
Joined: Sat Nov 01, 2014 1:33 pm
Callsign: F-KATS
Version: Git next
OS: Debian GNU/Linux

Re: Lyon Saint Exupery Scenery Project

Postby daweed » Mon May 23, 2016 8:03 pm

Hello Rominet :

i had a try ... :

Code: Select all
python3 -m pip install CondConfigParser
Downloading/unpacking CondConfigParser
  Downloading CondConfigParser-1.0.3.tar.bz2 (46kB): 46kB downloaded
  Running setup.py (path:/tmp/pip_build_farmeradmin/CondConfigParser/setup.py) egg_info for package CondConfigParser
   
    no previously-included directories found matching 'doc/_build'
    warning: no previously-included files found matching 'doc/basic-pkg-info.rst'
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '__pycache__' found anywhere in distribution
    warning: no previously-included files matching '.gitignore' found anywhere in distribution
Installing collected packages: CondConfigParser
  Running setup.py install for CondConfigParser
   
    no previously-included directories found matching 'doc/_build'
    warning: no previously-included files found matching 'doc/basic-pkg-info.rst'
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '__pycache__' found anywhere in distribution
    warning: no previously-included files matching '.gitignore' found anywhere in distribution
    error: could not create '/usr/local/lib/python3.4/dist-packages/condconfigparser': Permission denied
    Complete output from command /usr/bin/python3 -c "import setuptools, tokenize;__file__='/tmp/pip_build_farmeradmin/CondConfigParser/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-1z27nz52-record/install-record.txt --single-version-externally-managed --compile:
    running install

running build

running build_py

creating build

creating build/lib

creating build/lib/condconfigparser

copying condconfigparser/exceptions.py -> build/lib/condconfigparser

copying condconfigparser/parser.py -> build/lib/condconfigparser

copying condconfigparser/lexer.py -> build/lib/condconfigparser

copying condconfigparser/condconfig.py -> build/lib/condconfigparser

copying condconfigparser/version.py -> build/lib/condconfigparser

copying condconfigparser/__init__.py -> build/lib/condconfigparser

creating build/lib/condconfigparser/tests

copying condconfigparser/tests/test_parser.py -> build/lib/condconfigparser/tests

copying condconfigparser/tests/test_condconfig.py -> build/lib/condconfigparser/tests

copying condconfigparser/tests/__init__.py -> build/lib/condconfigparser/tests

creating build/lib/condconfigparser/tests/data

copying condconfigparser/tests/data/config1.py -> build/lib/condconfigparser/tests/data

copying condconfigparser/tests/data/config2.py -> build/lib/condconfigparser/tests/data

copying condconfigparser/tests/data/__init__.py -> build/lib/condconfigparser/tests/data

copying condconfigparser/tests/data/config3.py -> build/lib/condconfigparser/tests/data

running egg_info

writing dependency_links to CondConfigParser.egg-info/dependency_links.txt

writing top-level names to CondConfigParser.egg-info/top_level.txt

writing CondConfigParser.egg-info/PKG-INFO

warning: manifest_maker: standard file '-c' not found



reading manifest file 'CondConfigParser.egg-info/SOURCES.txt'

reading manifest template 'MANIFEST.in'

no previously-included directories found matching 'doc/_build'

warning: no previously-included files found matching 'doc/basic-pkg-info.rst'

warning: no previously-included files matching '*.pyc' found anywhere in distribution

warning: no previously-included files matching '__pycache__' found anywhere in distribution

warning: no previously-included files matching '.gitignore' found anywhere in distribution

writing manifest file 'CondConfigParser.egg-info/SOURCES.txt'

copying condconfigparser/tests/data/README.txt -> build/lib/condconfigparser/tests/data

copying condconfigparser/tests/data/config1 -> build/lib/condconfigparser/tests/data

copying condconfigparser/tests/data/config2 -> build/lib/condconfigparser/tests/data

copying condconfigparser/tests/data/config3 -> build/lib/condconfigparser/tests/data

running install_lib

creating /usr/local/lib/python3.4/dist-packages/condconfigparser

error: could not create '/usr/local/lib/python3.4/dist-packages/condconfigparser': Permission denied

----------------------------------------
Cleaning up...
Command /usr/bin/python3 -c "import setuptools, tokenize;__file__='/tmp/pip_build_farmeradmin/CondConfigParser/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-1z27nz52-record/install-record.txt --single-version-externally-managed --compile failed with error code 1 in /tmp/pip_build_farmeradmin/CondConfigParser
Storing debug log for failure in /home/farmeradmin/.pip/pip.log
Linux Mint 18.3
AMD FX 4300 Quad-Core Black Edition|20 Go RAMGeForce GTX 750 Ti
FG Interface
Lyon Saint Exupery Scenery
daweed
 
Posts: 264
Joined: Thu Dec 11, 2014 10:45 am
Location: LFKP LFLL
Callsign: daweed
OS: Windows 10 Familly

Re: Lyon Saint Exupery Scenery Project

Postby daweed » Mon May 23, 2016 8:05 pm

daweed wrote in Mon May 23, 2016 8:03 pm:Hello Rominet :

i had a try ... :

Code: Select all
python3 -m pip install CondConfigParser
Downloading/unpacking CondConfigParser
  Downloading CondConfigParser-1.0.3.tar.bz2 (46kB): 46kB downloaded
  Running setup.py (path:/tmp/pip_build_farmeradmin/CondConfigParser/setup.py) egg_info for package CondConfigParser
   
    no previously-included directories found matching 'doc/_build'
    warning: no previously-included files found matching 'doc/basic-pkg-info.rst'
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '__pycache__' found anywhere in distribution
    warning: no previously-included files matching '.gitignore' found anywhere in distribution
Installing collected packages: CondConfigParser
  Running setup.py install for CondConfigParser
   
    no previously-included directories found matching 'doc/_build'
    warning: no previously-included files found matching 'doc/basic-pkg-info.rst'
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '__pycache__' found anywhere in distribution
    warning: no previously-included files matching '.gitignore' found anywhere in distribution
    error: could not create '/usr/local/lib/python3.4/dist-packages/condconfigparser': Permission denied
    Complete output from command /usr/bin/python3 -c "import setuptools, tokenize;__file__='/tmp/pip_build_farmeradmin/CondConfigParser/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-1z27nz52-record/install-record.txt --single-version-externally-managed --compile:
    running install

running build

running build_py

creating build

creating build/lib

creating build/lib/condconfigparser

copying condconfigparser/exceptions.py -> build/lib/condconfigparser

copying condconfigparser/parser.py -> build/lib/condconfigparser

copying condconfigparser/lexer.py -> build/lib/condconfigparser

copying condconfigparser/condconfig.py -> build/lib/condconfigparser

copying condconfigparser/version.py -> build/lib/condconfigparser

copying condconfigparser/__init__.py -> build/lib/condconfigparser

creating build/lib/condconfigparser/tests

copying condconfigparser/tests/test_parser.py -> build/lib/condconfigparser/tests

copying condconfigparser/tests/test_condconfig.py -> build/lib/condconfigparser/tests

copying condconfigparser/tests/__init__.py -> build/lib/condconfigparser/tests

creating build/lib/condconfigparser/tests/data

copying condconfigparser/tests/data/config1.py -> build/lib/condconfigparser/tests/data

copying condconfigparser/tests/data/config2.py -> build/lib/condconfigparser/tests/data

copying condconfigparser/tests/data/__init__.py -> build/lib/condconfigparser/tests/data

copying condconfigparser/tests/data/config3.py -> build/lib/condconfigparser/tests/data

running egg_info

writing dependency_links to CondConfigParser.egg-info/dependency_links.txt

writing top-level names to CondConfigParser.egg-info/top_level.txt

writing CondConfigParser.egg-info/PKG-INFO

warning: manifest_maker: standard file '-c' not found



reading manifest file 'CondConfigParser.egg-info/SOURCES.txt'

reading manifest template 'MANIFEST.in'

no previously-included directories found matching 'doc/_build'

warning: no previously-included files found matching 'doc/basic-pkg-info.rst'

warning: no previously-included files matching '*.pyc' found anywhere in distribution

warning: no previously-included files matching '__pycache__' found anywhere in distribution

warning: no previously-included files matching '.gitignore' found anywhere in distribution

writing manifest file 'CondConfigParser.egg-info/SOURCES.txt'

copying condconfigparser/tests/data/README.txt -> build/lib/condconfigparser/tests/data

copying condconfigparser/tests/data/config1 -> build/lib/condconfigparser/tests/data

copying condconfigparser/tests/data/config2 -> build/lib/condconfigparser/tests/data

copying condconfigparser/tests/data/config3 -> build/lib/condconfigparser/tests/data

running install_lib

creating /usr/local/lib/python3.4/dist-packages/condconfigparser

error: could not create '/usr/local/lib/python3.4/dist-packages/condconfigparser': Permission denied

----------------------------------------
Cleaning up...
Command /usr/bin/python3 -c "import setuptools, tokenize;__file__='/tmp/pip_build_farmeradmin/CondConfigParser/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-1z27nz52-record/install-record.txt --single-version-externally-managed --compile failed with error code 1 in /tmp/pip_build_farmeradmin/CondConfigParser
Storing debug log for failure in /home/farmeradmin/.pip/pip.log


Sorry , just see my error ..

forgot the sudo
Linux Mint 18.3
AMD FX 4300 Quad-Core Black Edition|20 Go RAMGeForce GTX 750 Ti
FG Interface
Lyon Saint Exupery Scenery
daweed
 
Posts: 264
Joined: Thu Dec 11, 2014 10:45 am
Location: LFKP LFLL
Callsign: daweed
OS: Windows 10 Familly

Re: Lyon Saint Exupery Scenery Project

Postby daweed » Mon May 23, 2016 8:10 pm

I don't know if it's ok, but it still stay warning :

Code: Select all
sudo python3 -m pip install CondConfigParser
[sudo] password for farmeradmin:
Downloading/unpacking CondConfigParser
  Downloading CondConfigParser-1.0.3.tar.bz2 (46kB): 46kB downloaded
  Running setup.py (path:/tmp/pip_build_root/CondConfigParser/setup.py) egg_info for package CondConfigParser
   
    no previously-included directories found matching 'doc/_build'
    warning: no previously-included files found matching 'doc/basic-pkg-info.rst'
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '__pycache__' found anywhere in distribution
    warning: no previously-included files matching '.gitignore' found anywhere in distribution
Installing collected packages: CondConfigParser
  Running setup.py install for CondConfigParser
   
    no previously-included directories found matching 'doc/_build'
    warning: no previously-included files found matching 'doc/basic-pkg-info.rst'
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '__pycache__' found anywhere in distribution
    warning: no previously-included files matching '.gitignore' found anywhere in distribution
Successfully installed CondConfigParser
Cleaning up...


i can't make FFGo working,

seems that some file are missing :

Code: Select all
farmeradmin@FARMERSALOON /data01/Flightgear/FFGo $ ./ffgo-launcher.py
Traceback (most recent call last):
  File "./ffgo-launcher.py", line 14, in <module>
    ffgo.main.main()
  File "/data01/Flightgear/FFGo/ffgo/main.py", line 190, in main
    res = run(master, params)
  File "/data01/Flightgear/FFGo/ffgo/main.py", line 104, in run
    config = Config(params, master)
  File "/data01/Flightgear/FFGo/ffgo/config.py", line 187, in __init__
    self.update(ignoreFGVersionError=True, logFGVersion=False)
  File "/data01/Flightgear/FFGo/ffgo/config.py", line 517, in update
    setupTranslationHelper(self)
  File "/data01/Flightgear/FFGo/ffgo/config.py", line 29, in setupTranslationHelper
    translationHelper = misc.TranslationHelper(config)
  File "/data01/Flightgear/FFGo/ffgo/misc.py", line 240, in __init__
    MESSAGES, LOCALE_DIR, languages=[langCode])
  File "/usr/lib/python3.4/gettext.py", line 416, in translation
    raise OSError(ENOENT, 'No translation file found for domain', domain)
FileNotFoundError: [Errno 2] No translation file found for domain: 'FFGo'
Linux Mint 18.3
AMD FX 4300 Quad-Core Black Edition|20 Go RAMGeForce GTX 750 Ti
FG Interface
Lyon Saint Exupery Scenery
daweed
 
Posts: 264
Joined: Thu Dec 11, 2014 10:45 am
Location: LFKP LFLL
Callsign: daweed
OS: Windows 10 Familly

Re: Lyon Saint Exupery Scenery Project

Postby rominet » Mon May 23, 2016 8:31 pm

Sorry, daweed, I am willing to provide support but only if you do read the documentation. Otherwise I just can't. I wrote in bold face both in http://frougon.net/projects/FFGo/ and http://wiki.flightgear.org/FFGo#Using_p ... _method.29 not to run pip as the superuser. Your using of sudo for this is a very bad idea and completely unsupported.

Start by telling your distro/OS, exactly what you downloaded and which commands you ran, then it will be easier to help you. Maybe also the output of the 'locale' command if after following the wiki instructions or those from docs/INSTALL in a tarball (I suggest wiki if in doubt) you still have the last error.
rominet
 
Posts: 550
Joined: Sat Nov 01, 2014 1:33 pm
Callsign: F-KATS
Version: Git next
OS: Debian GNU/Linux

Re: Lyon Saint Exupery Scenery Project

Postby rominet » Mon May 23, 2016 9:06 pm

Your last error reminds me of viewtopic.php?f=18&t=27054&start=75#p273492 . Unfortunately, legoboy did not give the debug output while he had the error, and he suddenly said it all worked without explaining what he had changed to get rid of the error...

You might have success with:
Code: Select all
LANG=en_US.UTF-8 ./ffgo-launcher.py

or even:
Code: Select all
LANG=C ./ffgo-launcher.py

but if you did install correctly, I'd like to find out what is going wrong in your locale. Did you configure your locales properly? ('dpkg-reconfigure locales' to be run as root on Debian, maybe similar on your distro)

From FFGo-1.11.3.tar.gz:
Code: Select all
/tmp/FFGo-1.11.3 % find FFGo-1.11.3 -name '*.mo'
FFGo-1.11.3/ffgo/data/locale/ja/LC_MESSAGES/FFGo.mo
FFGo-1.11.3/ffgo/data/locale/it/LC_MESSAGES/FFGo.mo
FFGo-1.11.3/ffgo/data/locale/en/LC_MESSAGES/FFGo.mo
FFGo-1.11.3/ffgo/data/locale/pl/LC_MESSAGES/FFGo.mo
FFGo-1.11.3/ffgo/data/locale/es/LC_MESSAGES/FFGo.mo
FFGo-1.11.3/ffgo/data/locale/de/LC_MESSAGES/FFGo.mo
FFGo-1.11.3/ffgo/data/locale/fr/LC_MESSAGES/FFGo.mo
FFGo-1.11.3/ffgo/data/locale/nl/LC_MESSAGES/FFGo.mo

so, clearly the .mo files are there, and other languages should fall back to English.

Edit: I had written .po instead of .mo. .po files are source files for translations, and .mo are binary files generated from the .po files. Those that matter at runtime are the .mo files. They are automatically included in FFGo's tarballs/zip files, but not in the Git repository, which I think explains the problem here if you just cloned the Git repo and hoped to be able to run FFGo directly from that clone. This is not a bug; there are special instructions in docs/INSTALL/INSTALL_en for people installing from the Git repo, which take care of generating the .mo files, among others).

If initialization gets far enough, FFGo leaves a log file in ~/.ffgo/Logs (automatically rotated), otherwise you can always run ffgo or ffgo-launcher.py with the option --log-level=debug
Code: Select all
% ffgo --help
usage: ffgo [OPTION ...]
Graphical launcher for the FlightGear flight simulator.

Start a graphical user interface to make it easy to launch fgfs, the
FlightGear executable, with suitable arguments.

optional arguments:
  --log-level {debug,info,notice,warning,error,critical}
                        only messages with the same or a higher priority will
                        be printed to the terminal (default: notice)
  --save-stats-in-pretty-form
                        When saving the files containing usage statistics, use
                        a human-readable form at the expense of, maybe, a
                        little slowdown next time FFGo is started. Useful for
                        power users who have changed their aircraft paths and
                        want to keep their aircraft counts in spite of the
                        change. Don't fear using this option: if you stop
                        using it, the very small possible slowdown will
                        disappear completely next time FFGo is started.
  -t, --test-mode       enable test mode (useful to test pieces of code from
                        the FFGo GUI)
  -T, --test-only       after startup, run the App.testStuff() method and exit
  --help                display this message and exit
  --version             show program's version number and exit
~ %

Finally, a more appropriate place for this would be the FFGo forum thread.

Bonne soirée. :wink:
Last edited by rominet on Wed May 25, 2016 12:14 pm, edited 1 time in total.
rominet
 
Posts: 550
Joined: Sat Nov 01, 2014 1:33 pm
Callsign: F-KATS
Version: Git next
OS: Debian GNU/Linux

PreviousNext

Return to Scenery

Who is online

Users browsing this forum: No registered users and 4 guests